### Method

# Gtk Dialog add_action_widget

#### Declaration [src]

    void
    gtk_dialog_add_action_widget (
      GtkDialog* dialog,
      GtkWidget* child,
      int response_id
    )

#### Description [src]

Adds an activatable widget to the action area of a `GtkDialog`.

GTK connects a signal handler that will emit the `GtkDialog::response` signal on the dialog when the widget is activated. The widget is appended to the end of the dialog’s action area.

If you want to add a non-activatable widget, simply pack it into the `action_area` field of the `GtkDialog` struct.

#### Parameters

`child` | `GtkWidget`
| An activatable widget.
| The data is owned by the caller of the function.
`response_id` | `int`
| Response ID for `child`.